import { Moment } from "moment";

export type Edition = {
    startDate: Moment;
    endDate: Moment;
    proposalDeadline: Moment;
}

export type Deadlines = {
    personalData?: Moment;
    proposal?: Moment;
    personalPlan?: Moment;
    report?: Moment;
    insurance?: Moment;
}

export function getEditionDeadlines(edition: Edition): Deadlines {
    return {
        proposal: edition.proposalDeadline,
        personalPlan: edition.proposalDeadline,
    }
}
